local mod = foundation.createMod();

 
mod:dofile("scripts/texturePack.lua")
mod:dofile("scripts/road.lua")


mod:register({
	DataType = "BUILDING", 
	Id = "ROADS",
	Name = "ROAD_NAME",
	Description = "ROAD_DESC",
	BuildingType = "DECORATION",
	AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
	IsEditable = true,
	BuildingPartSetList = {
		{
			Name = "LIST_ROAD_NAME",
			BuildingPartList = {
				"SMALL_ROAD",
				"MEDIUM_ROAD",
				"LARGE_ROAD"
			}
		}
    }
})
